Gentoo Archives: gentoo-commits

From: Aaron Swenson <titanofold@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/libpqxx/
Date: Thu, 10 Aug 2017 12:40:31
Message-Id: 1502368808.0e5ca9aa1739831e140c68d090319e189d38977a.titanofold@gentoo
1 commit: 0e5ca9aa1739831e140c68d090319e189d38977a
2 Author: Aaron W. Swenson <titanofold <AT> gentoo <DOT> org>
3 AuthorDate: Thu Aug 10 12:40:08 2017 +0000
4 Commit: Aaron Swenson <titanofold <AT> gentoo <DOT> org>
5 CommitDate: Thu Aug 10 12:40:08 2017 +0000
6 URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0e5ca9aa
7
8 dev-libs/libpqxx: Bump to 5.1.0
9
10 Fixes bug 626076 where newer version of sed are more strict about
11 character class syntax.
12
13 Last release to support pre-C++11 compilers.
14
15 Gentoo-Bug: 626076
16
17 Package-Manager: Portage-2.3.6, Repoman-2.3.1
18
19 dev-libs/libpqxx/Manifest | 1 +
20 dev-libs/libpqxx/libpqxx-5.1.0.ebuild | 94 +++++++++++++++++++++++++++++++++++
21 2 files changed, 95 insertions(+)
22
23 diff --git a/dev-libs/libpqxx/Manifest b/dev-libs/libpqxx/Manifest
24 index 78db94de1d9..1ddac126f29 100644
25 --- a/dev-libs/libpqxx/Manifest
26 +++ b/dev-libs/libpqxx/Manifest
27 @@ -1,2 +1,3 @@
28 DIST libpqxx-4.0.1.tar.gz 1582532 SHA256 097ceda2797761ce517faa5bee186c883df1c407cb2aada613a16773afeedc38 SHA512 00204985097ef8bb0a3376d6ba541dbb471d7c52d7135f6244a9f4acbf6c8e5254d6f813e4411421e49bb56f4a520fc6ac67e300141d724396ce0ac11bd3a95e WHIRLPOOL d377863f9200e7ed235f8a2cf132b554efa4223d5f542eea23d743ffe391a13d44da767ee2f70146558e5b393ba334656c09007241c1aadde750c00c16e25c12
29 DIST libpqxx-5.0.1.tar.gz 743560 SHA256 21ba7167aeeb76142c0e865127514b4834cefde45eaab2d5eb79099188e21a06 SHA512 a097a419301d45e8078af08eb4667b7ae06c91d8bb62d57d26e0f6df138eeea350d4ba672a96271f724b3de86f3dd1d57da81aee093835c4b08b2084e98720ef WHIRLPOOL ca447f769f01a876edae5fd05c9b42fb6c33c5684ba61e07b1055586f332310290d85f2dfea9ba4d537100d427b342afd3f75ba948def9b70dabc68ac926d28a
30 +DIST libpqxx-5.1.0.tar.gz 677998 SHA256 c94c8796e3e82f3dda8e8d39b767bc45e95e1cb6e32d03d7fbf71b3e3bd9edd5 SHA512 4e881bb509b36b6b48d18dddd0895ab6864ba0430630d3e1417036ff8ff0008b446467868f2672e0b49b46cc3a86c6a61a8a3e5c6b63e0bf422be3268d7f9702 WHIRLPOOL 270430f4428b9a4d61cf6c94b36de85c8c575c4712688542b771cdaa535f2147a458d859d66f08d3ef9b0f40bc68033dc90f1b5a8c925921707bad6eaebcb8eb
31
32 diff --git a/dev-libs/libpqxx/libpqxx-5.1.0.ebuild b/dev-libs/libpqxx/libpqxx-5.1.0.ebuild
33 new file mode 100644
34 index 00000000000..8ef0695ac56
35 --- /dev/null
36 +++ b/dev-libs/libpqxx/libpqxx-5.1.0.ebuild
37 @@ -0,0 +1,94 @@
38 +# Copyright 1999-2017 Gentoo Foundation
39 +# Distributed under the terms of the GNU General Public License v2
40 +
41 +EAPI="6"
42 +
43 +PYTHON_COMPAT=( python2_7 )
44 +inherit python-any-r1
45 +
46 +KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
47 +
48 +DESCRIPTION="Standard front-end for writing C++ programs that use PostgreSQL"
49 +SRC_URI="https://github.com/jtv/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
50 +HOMEPAGE="http://pqxx.org/development/libpqxx/"
51 +LICENSE="BSD"
52 +SLOT="0"
53 +IUSE="doc static-libs"
54 +
55 +RDEPEND="dev-db/postgresql:="
56 +DEPEND="${PYTHON_DEPS}
57 + ${RDEPEND}
58 + doc? (
59 + app-doc/doxygen
60 + app-text/xmlto
61 + )
62 +"
63 +
64 +DOCS=( AUTHORS NEWS README{.md,-UPGRADE} )
65 +
66 +src_prepare() {
67 + default
68 +
69 + sed -e 's/python/python2/' \
70 + -i tools/{splitconfig,template2mak.py} \
71 + || die "Couldn't fix Python shebangs"
72 +}
73 +
74 +src_configure() {
75 + econf \
76 + --enable-shared \
77 + $(use_enable doc documentation) \
78 + $(use_enable static-libs static) local myconf
79 +}
80 +
81 +src_install () {
82 + use doc && HTML_DOCS=( doc/html/. )
83 +
84 + default
85 +
86 + if ! use static-libs; then
87 + find "${D}" -name '*.la' -delete || die
88 + fi
89 +}
90 +
91 +src_test() {
92 + einfo "The tests need a running PostgreSQL server and an existing database."
93 + einfo "Test requires PGDATABASE and PGUSER to be set at a minimum. Optionally,"
94 + einfo "set PGPORT and PGHOST. Define them at the command line or in:"
95 + einfo " ${EROOT%/}/etc/libpqxx_test_env"
96 +
97 + if [[ -z $PGDATABASE || -z $PGUSER ]] ; then
98 + if [[ -f ${EROOT%/}/etc/libpqxx_test_env ]] ; then
99 + source "${EROOT%/}/etc/libpqxx_test_env"
100 + [[ -n $PGDATABASE ]] && export PGDATABASE
101 + [[ -n $PGHOST ]] && export PGHOST
102 + [[ -n $PGPORT ]] && export PGPORT
103 + [[ -n $PGUSER ]] && export PGUSER
104 + fi
105 + fi
106 +
107 + if [[ -n $PGDATABASE && -n $PGUSER ]] ; then
108 + local server_version
109 + server_version=$(psql -Aqtc 'SELECT version();' 2> /dev/null)
110 + if [[ $? = 0 ]] ; then
111 + # Currently works with highest server version in tree
112 + #server_version=$(echo ${server_version} | cut -d " " -f 2 | cut -d "." -f -2 | tr -d .)
113 + #if [[ $server_version < 92 ]] ; then
114 + cd "${S}/test"
115 + emake check
116 + #else
117 + # eerror "Server version must be 8.4.x or below."
118 + # die "Server version isn't 8.4.x or below"
119 + #fi
120 + else
121 + eerror "Is the server running?"
122 + eerror "Verify role and database exist, and are permitted in pg_hba.conf for:"
123 + eerror " Role: ${PGUSER}"
124 + eerror " Database: ${PGDATABASE}"
125 + die "Couldn't connect to server."
126 + fi
127 + else
128 + eerror "PGDATABASE and PGUSER must be set to perform tests."
129 + eerror "Skipping tests."
130 + fi
131 +}